> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/anteckningar-nalar/35.-mutation-lagg-till-comment-till-den-valda-note.md).

# 35. Mutation: Lägg till "Comment" till den valda "Note"

Denna mutation låter dig lägga till en kommentar till den valda noteringen.

* En kommentar kan kopplas till fältet via dess unika identifierare `fieldUuid` och till noteringen via `noteUuid`.
* Innehållet i kommentaren kan anges med hjälp av `text` attributet. Om innehållet behöver vara flerradigt, bör `text` attributet innehålla en sträng med ny-radstecken `\\n` för att separera rader. Till exempel: `"Första raden. är här\\nAndra raden är här.\\nTredje raden är här."`.
* Det är möjligt att ange ett definierat datum/tid som är kopplat till kommentaren med hjälp av `skapadDatum` attributet i ISO8601-format.

Exempelförfrågningarna finns nedan:

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Den första kommentaren av flera.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    skapadDatum
    updatedDate
    text
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Första raden. är här\\nAndra raden är här.\\nTredje raden är här.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    skapadDatum
    updatedDate
    text
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/anteckningar-nalar/35.-mutation-lagg-till-comment-till-den-valda-note.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
